#!/bin/sh

mysql --exec="CREATE DATABASE calendar;"

mysql calendar --exec="create table calendar (
        	eventid bigint AUTO_INCREMENT primary key NOT NULL,
        	eventname varchar(128),
        	eventdate date,
        	starttime time,
        	endtime time,
        	description text,
        	recur int,
		enddate date,
        	userid int,
		reminderid int,
		sharing smallint
);"

mysql calendar --exec="create table reminder (
        reminderid bigint AUTO_INCREMENT primary key NOT NULL,
        email varchar(128),
        seconds int
);"

mysql calendar --exec="create table users (
        userid bigint AUTO_INCREMENT primary key NOT NULL,
        username varchar(64),
        password varchar(28),
	first_name varchar(64),
	last_name varchar(64),
	country varchar(64),
	zipcode varchar(16),
	gender tinyint,
        question varchar(128),
        answer varchar(128),
	plain_text varchar(64),
	email varchar(128),
	website varchar(255),
	signature text
);"

mysql calendar --exec="create table preferences (
	userid int,
	view tinyint,
	sharing tinyint,
	start_work time,
	end_work time,
	time_format tinyint
);"

mysql calendar --exec="create table sharing_allowed (
	userid int,
	allowed_userid int
);"

mysql calendar --exec="create table tasks (
        taskid bigint AUTO_INCREMENT primary key NOT NULL,
        title varchar(128),
        notes text,
        priority int,
        userid int
);"

mysql calendar --exec="create table holiday (
        holidayid bigint AUTO_INCREMENT primary key NOT NULL,
        userid int,
        name varchar(64),
        abbreviation varchar(5),
        rule varchar(64),
        consecutive int,
        samedate date
);"

mysql calendar --exec="create table holiday_cache (
        holidayid bigint,
        userid int,
        sdate date
);"
